/// <reference types="./phaser" />
import PlayScene from "../scenes/PlayScene";
export declare class CogFactory {
    scene: PlayScene;
    possiblePositions: string[];
    constructor(scene: PlayScene);
    create(obstaclesGroup: Phaser.Physics.Arcade.Group): void;
}
export declare class Cog extends Phaser.Physics.Arcade.Sprite {
    scene: PlayScene;
    position: string;
    place: number;
    groupXPosition: number;
    constructor(scene: PlayScene, position: string, place: number, groupXPosition: number);
    init(): void;
    positionOnSky(): void;
    scaleToFit(): void;
    update(): void;
    cleanup(): void;
}
